Avidemux 2.6 Scripting Reference: AudioOutputCollection Class Reference

| Avidemux 2.6 Scripting Reference

- Main Page
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Enumerations Enumerator Properties Groups Pages
Public Member Functions | Properties | List of all members
AudioOutputCollection Class Reference

The AudioOutputCollection class represents a collection of AudioOutput objects that can be individually accessed by index. More...

## Public Member Functions
Number | add (Number inputTrackIndex, AudioEncoder encoder=new CopyAudioEncoder())
| Adds a new audio output to the collection to encode an audio track from the open video.
Number | add (String externalAudioFile, AudioEncoder encoder=new CopyAudioEncoder())
| Adds a new audio output to the collection to encode an external audio file.
void | clear ()
| Removes all AudioOutput objects from the collection.
void | insert (Number index, Number inputTrackIndex, AudioEncoder encoder=new CopyAudioEncoder())
| Inserts a new audio output in to the collection at the specified index to encode an audio track from the open video.
void | insert (Number index, String externalAudioFile, AudioEncoder encoder=new CopyAudioEncoder())
| Inserts a new audio output in to the collection at the specified index to encode an external audio file.
AudioOutput | operator[] (Number i)
| Gets the AudioOutput object at the specified index.
void | removeAt (Number index)
| Removes the AudioOutput object at the specified index.

## Properties
Number | length
| Returns the number of AudioOutput objects in the collection.

## Detailed Description

The AudioOutputCollection class represents a collection of AudioOutput objects that can be individually accessed by index.

## Member Function Documentation

Number add | ( | Number | inputTrackIndex,
|  | AudioEncoder | encoder = `new CopyAudioEncoder()`
| ) |  |

Adds a new audio output to the collection to encode an audio track from the open video.

Returns
  Returns the index of the newly added AudioOutput in the collection.

Examples:
  TranscodeDirectory.admjs.

Number add | ( | String | externalAudioFile,
|  | AudioEncoder | encoder = `new CopyAudioEncoder()`
| ) |  |

Adds a new audio output to the collection to encode an external audio file.

Returns
  Returns the index of the newly added AudioOutput in the collection.